QGIS Application - Bug report #14037
frequent crash when editing data in relation forms (standard relation form-widget, generated by

qgis)
2015-12-25 10:42 AM - Gerhard Spieles

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Relations

Affected QGIS version:master Regression?: No

Operating System: win Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupitsdata: Copied to github as #: 22050
Description

When | edit data in in the subform of the standard generated form, qgis often crashes.
A jpg that shows a form in edit mode with generated crash and the layer properties of the layer are attached.

History

#1 - 2015-12-26 12:23 AM - Giovanni Manghi
- Status changed from Open to Feedback

Hi, why blocker? it works fine in official qgis releases?

#2 - 2015-12-26 04:50 AM - Regis Haubourg

I would let it as blocker, we encounter such crashes, but they are very difficult to catch and reproduce. We also have some with custom Ul forms.

#3 - 2015-12-26 07:19 AM - Gerhard Spieles

- File relation_and_emdeded_form_212_crashqgis.jpg added

- File projectproerities_relations.jpg added

- File emeded_form_relationreferenz.jpg added

In QGIS 2.12.2, crash occurs also (see attached jpg). In 2.12.2 the data in embeded forms are not schown and when you only activate the edit mode in
subform, without taking any changes, QGIS ask to save and write a NULL Value in the relation field.

| have tested this behaviour and it seems, that crash and QGIS-asking to save for not taken changes only occurs, when relationreferences with embeded
forms are activated. Screenshots of the embeded forms properities and relationdefinitions are attached.

For normal forms with realtion and no emeded forms in subform via relationreference, QGIS works fine.

#4 - 2015-12-26 12:00 PM - Gerhard Spieles

In QGIS 2.10, all worked fine without problems.

#5 - 2015-12-27 03:59 AM - Giovanni Manghi
- Status changed from Feedback to Open
#6 - 2016-01-24 03:27 AM - Tudor Barascu
Hi Gerhard,

It would be really nice if you'd attach a project with data so that the issue is easily reproducible.
All the best

#7 - 2016-01-24 05:44 AM - Gerhard Spieles

- File vg_flaechenmanagement.zip added

Hi Tudor,

testproject attached.

| have tested with lates master. The crash occurs, when in layer "pflegemassnahmen”, properities, fields, in field2 in the relation reference widget is buit

with an expression (in my case : nr || ', Adat: ' || "auftr_dat" || ', Fa:'|| "firma"). If there ist only the field 'nr' choosen, then it seems to work without crash.
Another strange behaviour since 2.12: when you only activate the edit mode in subform, without taking any changes, QGIS ask for saving changes, when

you press edit button again.

#8 - 2016-06-22 06:36 AM - Jiirgen Fischer
- Subject changed from qgis crash often editing data in relation forms (standard relation form-widget, generated by qgis) to frequent crash when editing

data in relation forms (standard relation form-widget, generated by qgis)

#9 - 2016-06-22 06:37 AM - Jiirgen Fischer
- Assignee deleted (Matthias Kuhn)

#10 - 2016-06-26 04:15 AM - Matthias Kuhn

- Status changed from Open to Feedback

| just tried hard to reproduce the crash with the attached project but | did not succeed.

Is this still an issue?

If yes, can you provide more detailed steps to reproduce (which fields to edit, when to save what...).

#11 - 2016-06-28 04:26 AM - Gerhard Spieles

Hi Matthias,

it seems, that this is still no problem.

Thank you for for the work and excuse, that i haven't tested it earlier.

Gerhard
#12 - 2016-06-29 06:14 AM - Andreas Neumann

hm - what means "this is still no problem"?

Do you mean the issue is gone and we can close the issue or are you still experiencing the issues with the current master version?

#13 - 2016-06-29 01:36 PM - Gerhard Spieles

The issue can be closed.

#14 - 2016-06-30 01:07 AM - Nyall Dawson

- Status changed from Feedback to Closed
- Resolution set to fixed/implemented
